Bug 60453 - gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O2" fails
gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O2" fails
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-27 16:32 EST by Christopher Holmes
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 17:59:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Holmes 2002-02-27 16:32:26 EST
Description of Problem:

	gcc: "gcc.c-torture/execute/ieee/20000320-1.c execution, -O2" fails

Version-Release number of selected component (if applicable):


How Reproducible:

	always

Steps to Reproduce:

1. rpm -i gcc-2.96-101.src.rpm
2. cd /usr/src/redhat/SPECS
3. rpm -ba gcc.spec
4. cd /usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux
5. make -k check
6. review gcc/testsuite/gcc.log

Actual Results:

Executing on host:
/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/xgcc
-B/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/
/usr/src/redhat/BUILD/gcc-2.96-20000731/gcc/testsuite/gcc.c-torture/execute/ieee/20000320-1.c 
-w  -O2  -ffloat-store  -lm   -o
/usr/src/redhat/BUILD/gcc-2.96-20000731/obj-alpha-redhat-linux/gcc/testsuite/20000320-1.x2   
(timeout = 300)
PASS: gcc.c-torture/execute/ieee/20000320-1.c compilation,  -O2 
FAIL: gcc.c-torture/execute/ieee/20000320-1.c execution,  -O2 

Expected Results:

PASS: gcc.c-torture/execute/ieee/20000320-1.c execution,  -O2 

Additional Information:
	
	expected results achieved on intel RedHat7.2
	may be related to bug#60450

Note You need to log in before you can comment on or make changes to this bug.